%define	LNG de
%define	srcname manpages-%{LNG}

Name:		man-pages-%{LNG}
Version:	1.22
Release:	%mkrel 1
Summary:	German man (manual) pages from the Linux Documentation Project
License:	GPLv3
Group:		System/Internationalization
Url:		http://alioth.debian.org/projects/manpages-%{LNG}/
BuildArch:	noarch

Source0:	http://manpages-de.alioth.debian.org/downloads/%{srcname}-%{version}.tar.xz

BuildRequires:	man
BuildRequires:  po4a
BuildRequires:  grep

Requires:	locales-%LNG
Requires:	man
Obsoletes:	man-%LNG < %version
Obsoletes:	manpages-%LNG  < %version
Provides:	man-%LNG = %version-%release
Provides:	manpages-%LNG  = %version-%release

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to German.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, %{_sysconfdir}passwd,
                    nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

LANG=%{LNG} DESTDIR=%{buildroot} %{_sbindir}/makewhatis %{buildroot}/%{_mandir}/%{LNG}

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron << EOF
#!/bin/bash
LANG=%{LNG} %{_sbindir}/makewhatis %{_mandir}/%{LNG}
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron

mkdir -p  %{buildroot}%{_var}/cache/man/%{LNG}

touch %{buildroot}%{_var}/cache/man/%{LNG}/whatis

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LNG}, if there isn't any man page
   ## directory /%{_mandir}/%{LNG}
   if [ ! -d %{_mandir}/%{LNG} ] ; then
       rm -rf %{_var}/catman/%{LNG}
   fi
fi

%post
%create_ghostfile %{_var}/cache/man/%{LNG}/whatis root root 644

%files
%doc CHANGES README COPYRIGHT
%dir %{_mandir}/%{LNG}
%dir %{_var}/cache/man/%{LNG}
%ghost %config(noreplace) %{_var}/cache/man/%{LNG}/whatis
%{_mandir}/%{LNG}/man*
%{_mandir}/%{LNG}/whatis
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron

%clean
rm -rf %buildroot


%changelog
* Sun Aug 06 2017 adrianomorselli <adrianomorselli> 1.22-1uplos2017
- update
